@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('aboutus::aboutus.name') !!} <small> {!! trans('app.manage') !!} {!! trans('aboutus::aboutus.names') !!}</small>
@stop

@section('title')
{!! trans('aboutus::aboutus.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
    <li class="active">{!! trans('aboutus::aboutus.names') !!}</li>
</ol>
@stop

@section('entry')
<div id='aboutus-aboutus-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="aboutus-aboutus-list" class="table table-striped data-table">
    <thead class="list_head">
        <th>{!! trans('aboutus::aboutus.label.abtcategory_id')!!}</th>
                    <th>{!! trans('aboutus::aboutus.label.name')!!}</th>
                    <th>{!! trans('aboutus::aboutus.label.description')!!}</th>
                    <th>{!! trans('aboutus::aboutus.label.facebook')!!}</th>
                    <th>{!! trans('aboutus::aboutus.label.twitter')!!}</th>
                    <th>{!! trans('aboutus::aboutus.label.google')!!}</th>
                    <th>{!! trans('aboutus::aboutus.label.status')!!}</th>
                    <th>{!! trans('aboutus::aboutus.label.image')!!}</th>
                    <th>{!! trans('aboutus::aboutus.label.images')!!}</th>
                    <th>{!! trans('aboutus::aboutus.label.banner')!!}</th>
                    <th>{!! trans('aboutus::aboutus.label.status')!!}</th>
                    <th>{!! trans('aboutus::aboutus.label.created_at')!!}</th>
                    <th>{!! trans('aboutus::aboutus.label.updated_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[abtcategory_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[name]')->raw()!!}</th>
                    <th>{!! Form::text('search[description]')->raw()!!}</th>
                    <th>{!! Form::text('search[facebook]')->raw()!!}</th>
                    <th>{!! Form::text('search[twitter]')->raw()!!}</th>
                    <th>{!! Form::text('search[google]')->raw()!!}</th>
                    <th>{!! Form::text('search[status]')->raw()!!}</th>
                    <th>{!! Form::text('search[image]')->raw()!!}</th>
                    <th>{!! Form::text('search[images]')->raw()!!}</th>
                    <th>{!! Form::text('search[banner]')->raw()!!}</th>
                    <th>{!! Form::text('date[status]')->raw()!!}</th>
                    <th>{!! Form::text('date[created_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[updated_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#aboutus-aboutus-entry', '{!!trans_url('admin/aboutus/aboutus/0')!!}');
    oTable = $('#aboutus-aboutus-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/aboutus/aboutus') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#aboutus-aboutus-list .search_bar input, #aboutus-aboutus-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'abtcategory_id'},
                    {data :'name'},
                    {data :'description'},
                    {data :'facebook'},
                    {data :'twitter'},
                    {data :'google'},
                    {data :'status'},
                    {data :'image'},
                    {data :'images'},
                    {data :'banner'},
                {data :'status'},
            {data :'created_at'},
            {data :'updated_at'},
        ],
        "pageLength": 25
    });

    $('#aboutus-aboutus-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#aboutus-aboutus-list').DataTable().row( this ).data();

        $('#aboutus-aboutus-entry').load('{!!trans_url('admin/aboutus/aboutus')!!}' + '/' + d.id);
    });

    $("#aboutus-aboutus-list .search_bar input, #aboutus-aboutus-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

