<?php

namespace Provider1\Aboutus;

use User;

class Aboutus
{
    /**
     * $aboutus object.
     */
    protected $aboutus;
    /**
     * $abtcategory object.
     */
    protected $abtcategory;
    /**
     * $quote object.
     */
    protected $quote;

    /**
     * Constructor.
     */
    public function __construct(\Provider1\Aboutus\Interfaces\AboutusRepositoryInterface $aboutus,
        \Provider1\Aboutus\Interfaces\AbtcategoryRepositoryInterface $abtcategory,
        \Provider1\Aboutus\Interfaces\QuoteRepositoryInterface $quote)
    {
        $this->aboutus = $aboutus;
        $this->abtcategory = $abtcategory;
        $this->quote = $quote;
    }

    /**
     * Returns count of aboutus.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.aboutus.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->aboutus->pushCriteria(new \Litepie\Provider1\Repositories\Criteria\AboutusUserCriteria());
        }

        $aboutus = $this->aboutus->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('aboutus::' . $view, compact('aboutus'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.abtcategory.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->abtcategory->pushCriteria(new \Litepie\Provider1\Repositories\Criteria\AbtcategoryUserCriteria());
        }

        $abtcategory = $this->abtcategory->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('aboutus::' . $view, compact('abtcategory'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.quote.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->quote->pushCriteria(new \Litepie\Provider1\Repositories\Criteria\QuoteUserCriteria());
        }

        $quote = $this->quote->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('aboutus::' . $view, compact('quote'))->render();
    }
}
