<?php

namespace Provider1\Aboutus\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Provider1\Aboutus\Interfaces\AboutusRepositoryInterface;

class AboutusPublicController extends BaseController
{
    // use AboutusWorkflow;

    /**
     * Constructor.
     *
     * @param type \Provider1\Aboutus\Interfaces\AboutusRepositoryInterface $aboutus
     *
     * @return type
     */
    public function __construct(AboutusRepositoryInterface $aboutus)
    {
        $this->repository = $aboutus;
        parent::__construct();
    }

    /**
     * Show aboutus's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $aboutuses = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('aboutus::public.aboutus.index', compact('aboutuses'))->render();
    }

    /**
     * Show aboutus.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $aboutus = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('aboutus::public.aboutus.show', compact('aboutus'))->render();
    }

}
