<?php

namespace Provider1\Aboutus\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Provider1\Aboutus\Interfaces\AbtcategoryRepositoryInterface;

class AbtcategoryPublicController extends BaseController
{
    // use AbtcategoryWorkflow;

    /**
     * Constructor.
     *
     * @param type \Provider1\Abtcategory\Interfaces\AbtcategoryRepositoryInterface $abtcategory
     *
     * @return type
     */
    public function __construct(AbtcategoryRepositoryInterface $abtcategory)
    {
        $this->repository = $abtcategory;
        parent::__construct();
    }

    /**
     * Show abtcategory's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $abtcategories = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('aboutus::public.abtcategory.index', compact('abtcategories'))->render();
    }

    /**
     * Show abtcategory.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $abtcategory = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('aboutus::public.abtcategory.show', compact('abtcategory'))->render();
    }

}
