<?php

namespace Provider1\Aboutus\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Aboutus policy
        \Provider1\Aboutus\Models\Aboutus::class => \Provider1\Aboutus\Policies\AboutusPolicy::class,
// Bind Abtcategory policy
        \Provider1\Aboutus\Models\Abtcategory::class => \Provider1\Aboutus\Policies\AbtcategoryPolicy::class,
// Bind Quote policy
        \Provider1\Aboutus\Models\Quote::class => \Provider1\Aboutus\Policies\QuotePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
