<?php

namespace Provider1\Aboutus\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        // Bind Aboutus validator
        \Provider1\Aboutus\Models\Aboutus::class => \Provider1\Aboutus\Workflow\AboutusValidator::class,

        // Bind Abtcategory validator
        \Provider1\Aboutus\Models\Abtcategory::class => \Provider1\Aboutus\Workflow\AbtcategoryValidator::class,

        // Bind Quote validator
        \Provider1\Aboutus\Models\Quote::class => \Provider1\Aboutus\Workflow\QuoteValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        // Bind Aboutus actions
        \Provider1\Aboutus\Models\Aboutus::class => \Provider1\Aboutus\Workflow\AboutusAction::class,

        // Bind Abtcategory actions
        \Provider1\Aboutus\Models\Abtcategory::class => \Provider1\Aboutus\Workflow\AbtcategoryAction::class,

        // Bind Quote actions
        \Provider1\Aboutus\Models\Quote::class => \Provider1\Aboutus\Workflow\QuoteAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       // Bind Aboutus notifiers
        \Provider1\Aboutus\Models\Aboutus::class => \Provider1\Aboutus\Workflow\AboutusNotifier::class,

        // Bind Abtcategory notifiers
        \Provider1\Aboutus\Models\Abtcategory::class => \Provider1\Aboutus\Workflow\AbtcategoryNotifier::class,

        // Bind Quote notifiers
        \Provider1\Aboutus\Models\Quote::class => \Provider1\Aboutus\Workflow\QuoteNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
