<?php

namespace Provider1\Aboutus\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Provider1\Aboutus\Models\Aboutus;

class AboutusAction
{
    /**
     * Perform the complete action.
     *
     * @param Aboutus $aboutus
     *
     * @return Aboutus
     */
    public function complete(Aboutus $aboutus)
    {
        try {
            $aboutus->status = 'complete';
            return $aboutus->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Aboutus $aboutus
     *
     * @return Aboutus
     */public function verify(Aboutus $aboutus)
    {
        try {
            $aboutus->status = 'verify';
            return $aboutus->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Aboutus $aboutus
     *
     * @return Aboutus
     */public function approve(Aboutus $aboutus)
    {
        try {
            $aboutus->status = 'approve';
            return $aboutus->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Aboutus $aboutus
     *
     * @return Aboutus
     */public function publish(Aboutus $aboutus)
    {
        try {
            $aboutus->status = 'publish';
            return $aboutus->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Aboutus $aboutus
     *
     * @return Aboutus
     */
    public function archive(Aboutus $aboutus)
    {
        try {
            $aboutus->status = 'archive';
            return $aboutus->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Aboutus $aboutus
     *
     * @return Aboutus
     */
    public function unpublish(Aboutus $aboutus)
    {
        try {
            $aboutus->status = 'unpublish';
            return $aboutus->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
