<?php

namespace Provider1\Aboutus\Workflow;

use Provider1\Aboutus\Models\Aboutus;
use Provider1\Aboutus\Notifications\Aboutus as AboutusNotifyer;
use Notification;

class AboutusNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Aboutus $aboutus
     *
     * @return void
     */
    public function complete(Aboutus $aboutus)
    {
        return Notification::send($aboutus->user, new AboutusNotifyer($aboutus, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Aboutus $aboutus
     *
     * @return void
     */
    public function verify(Aboutus $aboutus)
    {
        return Notification::send($aboutus->user, new AboutusNotifyer($aboutus, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Aboutus $aboutus
     *
     * @return void
     */
    public function approve(Aboutus $aboutus)
    {
        return Notification::send($aboutus->user, new AboutusNotifyer($aboutus, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Aboutus $aboutus
     *
     * @return void
     */
    public function publish(Aboutus $aboutus)
    {
        return Notification::send($aboutus->user, new AboutusNotifyer($aboutus, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Aboutus $aboutus
     *
     * @return void
     */
    public function archive(Aboutus $aboutus)
    {
        return Notification::send($aboutus->user, new AboutusNotifyer($aboutus, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Aboutus $aboutus
     *
     * @return void
     */
    public function unpublish(Aboutus $aboutus)
    {
        return Notification::send($aboutus->user, new AboutusNotifyer($aboutus, 'unpublish'));;

    }
}
