<?php

namespace Provider1\Aboutus\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Provider1\Aboutus\Models\Abtcategory;

class AbtcategoryAction
{
    /**
     * Perform the complete action.
     *
     * @param Abtcategory $abtcategory
     *
     * @return Abtcategory
     */
    public function complete(Abtcategory $abtcategory)
    {
        try {
            $abtcategory->status = 'complete';
            return $abtcategory->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Abtcategory $abtcategory
     *
     * @return Abtcategory
     */public function verify(Abtcategory $abtcategory)
    {
        try {
            $abtcategory->status = 'verify';
            return $abtcategory->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Abtcategory $abtcategory
     *
     * @return Abtcategory
     */public function approve(Abtcategory $abtcategory)
    {
        try {
            $abtcategory->status = 'approve';
            return $abtcategory->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Abtcategory $abtcategory
     *
     * @return Abtcategory
     */public function publish(Abtcategory $abtcategory)
    {
        try {
            $abtcategory->status = 'publish';
            return $abtcategory->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Abtcategory $abtcategory
     *
     * @return Abtcategory
     */
    public function archive(Abtcategory $abtcategory)
    {
        try {
            $abtcategory->status = 'archive';
            return $abtcategory->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Abtcategory $abtcategory
     *
     * @return Abtcategory
     */
    public function unpublish(Abtcategory $abtcategory)
    {
        try {
            $abtcategory->status = 'unpublish';
            return $abtcategory->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
