<?php

namespace Provider1\Aboutus\Workflow;

use Provider1\Aboutus\Models\Abtcategory;
use Provider1\Aboutus\Notifications\Abtcategory as AbtcategoryNotifyer;
use Notification;

class AbtcategoryNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Abtcategory $abtcategory
     *
     * @return void
     */
    public function complete(Abtcategory $abtcategory)
    {
        return Notification::send($abtcategory->user, new AbtcategoryNotifyer($abtcategory, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Abtcategory $abtcategory
     *
     * @return void
     */
    public function verify(Abtcategory $abtcategory)
    {
        return Notification::send($abtcategory->user, new AbtcategoryNotifyer($abtcategory, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Abtcategory $abtcategory
     *
     * @return void
     */
    public function approve(Abtcategory $abtcategory)
    {
        return Notification::send($abtcategory->user, new AbtcategoryNotifyer($abtcategory, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Abtcategory $abtcategory
     *
     * @return void
     */
    public function publish(Abtcategory $abtcategory)
    {
        return Notification::send($abtcategory->user, new AbtcategoryNotifyer($abtcategory, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Abtcategory $abtcategory
     *
     * @return void
     */
    public function archive(Abtcategory $abtcategory)
    {
        return Notification::send($abtcategory->user, new AbtcategoryNotifyer($abtcategory, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Abtcategory $abtcategory
     *
     * @return void
     */
    public function unpublish(Abtcategory $abtcategory)
    {
        return Notification::send($abtcategory->user, new AbtcategoryNotifyer($abtcategory, 'unpublish'));;

    }
}
