<?php

namespace Provider1\Aboutus\Workflow;

use Provider1\Aboutus\Models\Quote;
use Provider1\Aboutus\Notifications\Quote as QuoteNotifyer;
use Notification;

class QuoteNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Quote $quote
     *
     * @return void
     */
    public function complete(Quote $quote)
    {
        return Notification::send($quote->user, new QuoteNotifyer($quote, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Quote $quote
     *
     * @return void
     */
    public function verify(Quote $quote)
    {
        return Notification::send($quote->user, new QuoteNotifyer($quote, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Quote $quote
     *
     * @return void
     */
    public function approve(Quote $quote)
    {
        return Notification::send($quote->user, new QuoteNotifyer($quote, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Quote $quote
     *
     * @return void
     */
    public function publish(Quote $quote)
    {
        return Notification::send($quote->user, new QuoteNotifyer($quote, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Quote $quote
     *
     * @return void
     */
    public function archive(Quote $quote)
    {
        return Notification::send($quote->user, new QuoteNotifyer($quote, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Quote $quote
     *
     * @return void
     */
    public function unpublish(Quote $quote)
    {
        return Notification::send($quote->user, new QuoteNotifyer($quote, 'unpublish'));;

    }
}
